/* Login Icons */
@font-face {
    font-family: 'MercedesBenzIconsFlat';
    src: url('../icons/MercedesBenzIcons-Flat.eot'); /* IE9 Compat Modes */
    src: url('../icons/MercedesBenzIcons-Flat.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */ url('../icons/MercedesBenzIcons-Flat.woff') format('woff'), /* Modern Browsers */ url('../icons/MercedesBenzIcons-Flat.ttf') format('truetype'), /* Safari, Android, iOS */ url('../icons/MercedesBenzIcons-Flat.svg#MercedesBenzIcons-Flat') format('svg'); /* Legacy iOS */
    font-style: normal;
    font-weight: normal;
    text-rendering: optimizeLegibility;
}

@font-face {
    font-family: 'CorporateACondensedRegular';
    font-style: normal;
    font-weight: 400;
    src: url(CorporateACondensedRegular/corporateacon-reg-webfont.eot);
    src: url(CorporateACondensedRegular/corporateacon-reg-webfont.eot?#iefix) format('eot'), url(CorporateACondensedRegular/corporateacon-reg-webfont.ttf) format('truetype'), url(CorporateACondensedRegular/corporateacon-reg-webfont.woff2) format('woff2');;
}

@font-face {
    font-family: "CorporateSRegular";
    src: url(CorporateACondensedRegular/corporsr-webfont.eot);
    src: url(CorporateACondensedRegular/corporsr-webfont.eot?#iefix) format('eot'), url(CorporateACondensedRegular/corporsr-webfont.ttf) format('truetype');
    font-weight: normal;
    font-style: normal
}

body {
    --ag-accent-color: #00aedf;
    font-family: "CorporateSRegular" !important;
}

h1, h2, h3, h4, h5 {
    font-family: "CorporateACondensedRegular";
}

/* Allgemeine Icon Einstellungen */
.icon {
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}

/* Icon Paket Falt */
.icon-package-flat .icon {
    font-family: MercedesBenzIconsFlat;
}

.icon:before {
    margin-right: 40px;
    font-size: 1.8em;
}

.icon-package-flat .icon-user:before {
    content: "\e042";
}

.icon-package-flat .icon-report:before {
    content: "\e054";
}

.icon-package-flat .icon-tempo:before {
    content: "\e065";
}

.icon-package-flat .icon-service:before {
    content: "\e022";
}

/* Login Icons Ende */
.tree-theme-windows span.tree-content > a > span.tree-label:hover {
    background-color: #00aedf !important;
    -webkit-box-shadow: 1px 0 8px #00aedf;
    box-shadow: 1px 0 8px #00aedf;
    color: white;
}

.propertyPanel .tab-row li.selected {
    border-bottom: 3px solid #00aedf;
}

.propertyPanel .tab-row li span:hover {
    background-color: #00aedf !important;
    border-bottom: 3px solid #00aedf;
    box-shadow: 1px 0 8px #00aedf;
    color: white;
}

.propertyPanel .tab-row li:hover {
    background-color: rgba(0, 174, 223, 0.3);
    border-bottom: 1px solid rgba(0, 174, 223, 1);
}

.tree-theme-windows span.tree-content .selectedParent > span.tree-label {
    background-color: rgba(0, 174, 223, 0.5) !important;
}

.tablePanelNavigationWrap .tableToolbar > nav.dropDownPanelWrap:not([style="display:none"]) > img:hover, .tablePanelNavigationWrap .tableToolbar > img:not([style="display:none"]):hover {
    -webkit-box-shadow: 0 0 8px rgba(0, 174, 223, 0.6);
    box-shadow: 0 0 8px rgba(0, 174, 223, 0.6);
    background-color: rgba(0, 174, 223, 0.3);
}

.dropDownPanelWrap.actionsMenu > a.dropdown-toggle:hover {
    background-color: rgba(0, 174, 223, 0.4);
}

.propertyPanel select:not([readonly]):not([disabled]):hover {
    border-color: rgba(0, 174, 223, 0.6);
}

.w_content_container input[type="checkbox"]:checked + label::before, .propertyPanel input[type="checkbox"]:checked + label::before {
    border-color: #bobobo;
    background-color: #ffffff;
}

.w_content_container input[type="radio"]:not(:checked):checked + label::before, .w_content_container input[type="radio"]:checked:checked + label::before, .propertyPanel input[type="radio"]:not(:checked):checked + label::before, .propertyPanel input[type="radio"]:checked:checked + label::before {
    border: 6px solid #00aedf;
}

.wicket-modal .searchResultsContainer .model-path-edit, .wicket-modal .expertPanelContainer .model-path-edit, .wicket-modal .dialog .model-path-edit, .wicket-modal .fieldPathFormContainer .model-path-edit, .wicket-modal .ruleEditorSidebarPanel .model-path-edit, .propertyPanel .model-path-edit,
.dropDownPanelWrap.actionsElement > .dropdown-menu > li:not([style="display:none"]) > ul > li:hover, div.wicket-modal .modal-box-button-wrap > div:not(.modal-no-button):not([disabled]), .dropDownPanelWrap.moduleBar > .dropdown-menu > li:not([style="display:none"]).activeModule:hover, .tree-theme-windows span.tree-content .selected > span.tree-label, .propertyPanel input[type="submit"]:not([readonly]):not([disabled]), .dropDownPanelWrap.actionsMenu > a.dropdown-toggle > span, .propertyPanel .ruleField-edit, .dialog input[type="submit"]:not([readonly]):not([disabled]), .propertyPanel .tab-panel input[type="button"]:not([disabled]), .propertyPanel .tab-panel input[type="submit"]:not([disabled]), .panelButtonBar input[type="button"]:not([disabled]), .panelButtonBar input[type="submit"]:not([disabled]), .panelButtonBar2 input[type="button"]:not([disabled]), .panelButtonBar2 input[type="submit"]:not([disabled]),
.wicket-modal .searchResultsContainer input[type="button"]:not([readonly]):not([disabled]), .wicket-modal .searchResultsContainer input[type="submit"]:not([readonly]):not([disabled]), .wicket-modal .expertPanelContainer input[type="button"]:not([readonly]):not([disabled]), .wicket-modal .expertPanelContainer input[type="submit"]:not([readonly]):not([disabled]), .wicket-modal .dialog input[type="button"]:not([readonly]):not([disabled]), .wicket-modal .dialog input[type="submit"]:not([readonly]):not([disabled]), .wicket-modal .fieldPathFormContainer input[type="button"]:not([readonly]):not([disabled]), .wicket-modal .fieldPathFormContainer input[type="submit"]:not([readonly]):not([disabled]), .propertyPanel input[type="button"]:not([readonly]):not([disabled]), .propertyPanel input[type="submit"]:not([readonly]):not([disabled]),
.ruleEditorMainPanel .ruleEditorSidebarPanel > div .ruleParameterLabel, .ruleEditorMainPanel .ruleEditorSidebarPanel > div .ruleTreeLabel {
    background-color: #00aedf !important;
}

.tree-theme-windows span.tree-content .selected > span.tree-label {
    background-color: #00aedf;
}

.propertyPanel textarea:not([readonly]):not([disabled]):hover {
    border: 6px solid #00aedf;
}

.ruleEditorMainPanel .ruleEditorSidebarPanel > div .functionParts .sidebarFunctions .selectedRuleEditorFunction {
    box-shadow: 0 0 8px rgba(0, 174, 223, 0.6);
}

.ruleEditorMainPanel .ruleEditorSidebarPanel .sidebarTabLabel {
    background-color: white;
}

.propertyPanel input[type="text"]:not([readonly]):not([disabled]):hover {
    border: 1px solid rgba(0, 174, 223, 0.6);
}

.dropDownPanelWrap > .dropdown-menu > li:not([hidden=""]):not(.actionNew):not(.actionImport):hover,
.dropDownPanelWrap > .dropdown-menu > li:not([style="display:none"]):hover {
    background-color: rgba(0, 174, 223, 0.6);
}

.dropDownPanelWrap.treeChooser > .dropdown-menu > li:not([style="display:none"]):hover {
    background-color: rgba(0, 174, 223, 0.6);
    color: white;
    border-color: white;
}

.ruleEditorMainPanel .ruleEditorSidebarPanel .sidebarTabLabel:hover {
    border-bottom: 2px solid #00aedf;
}

.ruleEditorMainPanel .ruleEditorSidebarPanel .sidebarTabLabel:active {
    border-bottom: 2px solid #00aedf;
}

div.wicket-modal.wicket-modal-warning .dialogBorder div.w_content_1 {
    border: 1px solid #00aedf;
    background-color: #00aedf;
}

.ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:not(.ag-checked):after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:focus-within:not(.ag-checked):after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:active:not(.ag-checked):after,
.w_content_container input[type="checkbox"]:not(:checked) + label::after, .w_content_container input[type="checkbox"]:checked + label::after, .propertyPanel input[type="checkbox"]:not(:checked) + label::after, .propertyPanel input[type="checkbox"]:checked + label::after,
.constraintEntryContainer a.specialDateReflink, .constraintEntryContainer a.specialDateReflink:hover, .constraintEntryContainer a.specialDateReflink:active,
.constraintEntryContainer a.pathlink, .constraintEntryContainer a.pathlink:hover, .constraintEntryContainer a.pathlink:active, .tree-theme-windows a > span::before, .w_content_container input[type="checkbox"]:not(:checked) + label::after, .w_content_container input[type="checkbox"]:checked + label::after, .propertyPanel input[type="checkbox"]:not(:checked) + label::after, .propertyPanel input[type="checkbox"]:checked + label::after {
    color: #00aedf !important;
}

.ag-fresh input[type="checkbox"]:not(:checked):focus + label::before, .ag-fresh input[type="checkbox"]:checked:focus + label::before, .propertyPanel input[type="checkbox"]:not(:checked):focus + label::before, .propertyPanel input[type="checkbox"]:checked:focus + label::before {
    border-color: #00aedf;
}

.dropDownPanelWrap.contextMenuWrap > .dropdown-menu,
.dropDownPanelWrap.contextMenuWrap > .dropdown-menu > li:not([hidden=""]),
.ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper.ag-checked:after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper.ag-indeterminate:after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:focus-within.ag-checked:after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:focus-within.ag-indeterminate:after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:active.ag-checked:after, .ag-row .ag-cell-not-inline-editing .ag-checkbox-cell .ag-checkbox-input-wrapper:active.ag-indeterminate:after {
    background-color: #00aedf;
}

.tablePanelNavigationWrap .tableToolbar > nav.dropDownPanelWrap.open > img,
.dropDownPanelWrap.moduleBar > .dropdown-menu > li:not([hidden=""]).activeModule,
.ag-row:hover,
.ag-row-odd:hover {
    background-color: rgba(0, 174, 223, 0.1) !important;
}

.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next,
.dropDownPanelWrap.actionsMenu > .dropdown-menu > li:not([style="display:none"]):hover, .dropDownPanelWrap.actionsMenu > .dropdown-menu > li:not([style="display:none"]) {
    background-color: #00aedf !important;
}

.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next {
    border-right-color: rgba(0, 174, 223, 0.6);
}

.tablePanelNavigationWrap .tableToolbar > nav.dropDownPanelWrap.open > img,
.propertyPanel input[type=checkbox]:not(:checked):focus + label:before, .propertyPanel input[type=checkbox]:checked:focus + label:before,
.w_content_container input[type="checkbox"]:not(:checked):focus + label::before, .w_content_container input[type="checkbox"]:checked:focus + label::before {
    border-color: #00aedf !important;
    -webkit-box-shadow: 0 0 8px rgba(0, 174, 223, 0.6) !important;
    -moz-box-shadow: 0 0 8px rgba(0, 174, 223, 0.6) !important;
    box-shadow: 0 0 8px rgba(0, 174, 223, 0.6) !important;
}


.wicket-modal .ruleEditorSidebarPanel .tab-row li:focus span, .wicket-modal .ruleEditorSidebarPanel .tab-row li:hover span, .wicket-modal .ruleEditorSidebarPanel .tab-row li.selected span {
    border-bottom: 3px solid #00aedf;

}

.tableToolbar .filterMenu img[src="/resources/img/enomic/filterActive.png"] {
    content: url("/resources/custom/img/filterActive.png");
}

.tree-theme-windows .tree-junction-expanded {
    background-image: url(../img/tree.png);
}

/* background-imag */
#layoutSwitchWrap > .layoutSwitch1, #layoutSwitchWrap > .layoutSwitch2, #layoutSwitchWrap > .layoutSwitch3 {
    background-image: url(../img/layout-buttons-alle.png);
}


.tree-theme-windows a.tree-folder-closed > .tree-label:before {
    color: #3c6dc8;
}

.tree-theme-windows a.tree-folder-open > .tree-label:before {
    color: #3c6dc8;
}


/*Login Kofiguration*/
.loginItem01 h1, .loginItem02 h1 {
    color: black !important;
    font-family: "CorporateACondensedRegular" !important;
    font-size: 2.125rem;
    font-weight: 200;
    line-height: 1.2;
}

.loginItem01 .loginLanguageSelectionWrap .loginLanguageSelection {
    background-color: white;
}

.loginItem01, .loginItem02 {
    font-family: "CorporateSRegular";
}

.loginItem01 input[type="checkbox"]:not(:checked) + label::after, .loginItem01 input[type="checkbox"]:checked + label::after {
    color: #00aedf;
}

.loginItem01 input[type="checkbox"]:checked + label, .loginItem01 input[type="checkbox"]:not(:checked) + label, .loginItem01 .loginLanguageSelectionWrap > label, .loginItem01 input[type="text"]::placeholder, .loginItem01 input[type="password"]::placeholder {
    color: black;
}

.loginItem01 input[type="checkbox"]:not(:checked) + label::before, .loginItem01 input[type="checkbox"]:checked + label::before {
    border: 1px solid black;
}

.loginItem01 input[type="submit"], .ruleEditorMainPanel .ruleEditorSidebarPanel > div .functionParts .sidebarFunctionLabel, .panelButtonBar input[type="submit"]:not([disabled]) {
    background-color: #00aedf !important;
}

.loginItemBlock p {
    font-size: 1.3rem;
}


.loginItem01 {
    background-image: url(../img/bg-login-mbs.png);
}

#logoWrap > .logo {
    background-image: url(../img/logo1.png);
}

.loginItem01 > .loginItemFooter {
    background-image: url(../img/login-bg-01-footer.png);
}

.loginItem01 h1 {
    color: #000;
}

.loginItem01 input[type="text"]::placeholder, .loginItem01 input[type="password"]::placeholder {

    color: #000;
}

.loginItem02 {
    font-size: 1.3rem;
}

/*Login Kofiguration end*/


/* Custom Tree Icons */


.tree-theme-windows a > .tree-label.tree-view-icon-Vertragspartner:before {
    content: "\f56c";
    color: #a69232;
}

.tree-theme-windows a > .tree-label.tree-view-icon-Anwendung:before {
    content: "\f108";
    color: #a69232;
}

.tree-theme-windows a > .tree-label.tree-view-icon-Karte:before {
    content: "\f674";
    color: #a69232;
}


.tree-theme-windows a > .tree-label.tree-view-icon-Struktur:before {
    content: "\f0ac";
    color: #a69232;
}

.tree-theme-windows a > .tree-label.tree-view-icon-Baureihe:before {
    content: "\f0d1";
    color: #a69232;
}

.tree-theme-windows a > .tree-label.tree-view-icon-Interesse:before {
    content: "\f3c5";
    color: #a69232;
}

.tree-theme-windows a > .tree-label.tree-view-icon-Interessent:before {
    content: "\f406";
    color: #a69232;
}

/* Custom Tree Icons End */

